const mysql = require('mysql2');

console.time("DB Router Connect");
const connection = mysql.createConnection({
  user: 'router_test_user',
  port: 6446,
  database: 'router_test'
});
console.timeEnd("DB Router Connect");

console.time("DB Direct Connect");
const connection2 = mysql.createConnection({
  user: 'router_test_user',
  database: 'router_test'
});
console.timeEnd("DB Direct Connect");

var test_query = 'select ID, text from newtable';
var querysComplete = 0;

console.time("DB via Router Prepare and Exec");
console.time("DB Direct Prepare and Exec");
connection.prepare(test_query, (err, statement) => {

  if(err) console.log(err);

  statement.execute([], (err, rows, columns) => {
    if(err) console.log(err);
    console.timeEnd("DB via Router Prepare and Exec");
    statement.close();
    if(++querysComplete > 1)process.exit();
  });
});

connection2.prepare(test_query, (err, statement) => {
  if(err) console.log(err);

  statement.execute([], (err, rows, columns) => {
    if(err) console.log(err);
    console.timeEnd("DB Direct Prepare and Exec");
        statement.close();
        if(++querysComplete > 1)process.exit();
  });
});


